/**
 * @file
 * Custom JS for the JSON table field formatter.
 */
(function ($, Drupal, drupalSettings) {
  'use strict';
  /**
   * Attach behavior for JSON Fields.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.json_datatables = {
    attach(context) {
      $(context)
        .find('.json-table')
        .once('json-table')
        .each(function (index, element) {
          let fieldName = $(this).data('json-table');
          let config = drupalSettings.json_table[fieldName];
          $(this).DataTable(config);
        });
    }
  };

})(jQuery, Drupal, drupalSettings);
